# 基金接口/报表接口

## 指数样本数据

> 说明：指数样本数据\
> \`\`\`\
> version=0.0.1\
> bizType=report.app.ReportDatadDubboService.indexSample\
> \`\`\`

````json
{"openapi":"3.0.1","info":{"title":"默认模块","version":"1.0.0"},"tags":[{"name":"基金接口/报表接口"}],"servers":[{"url":"https://prewppc-3.cmfbl.com/api","description":"PRE测试公司439"}],"security":[],"paths":{"/global/report.app.ReportDatadDubboService.indexSample":{"post":{"summary":"指数样本数据","deprecated":false,"description":"说明：指数样本数据\n```\nversion=0.0.1\nbizType=report.app.ReportDatadDubboService.indexSample\n```","operationId":"indexSample","tags":["基金接口/报表接口"],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"indexId":{"type":"integer","format":"int64","title":"指数id"}},"required":["indexId"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResultListIndexSymbolCombinationVo"}}},"headers":{}}}}}},"components":{"schemas":{"BaseResultListIndexSymbolCombinationVo":{"type":"object","properties":{"bizCode":{"type":"string","title":"模块标识码"},"code":{"type":"string","title":"状态返回码"},"msg":{"type":"string","title":"状态描述"},"tm":{"type":"integer","format":"int64","description":"单位:毫秒","title":"处理时长"},"trace":{"type":"string","title":"跟踪码"},"msgParams":{"type":"string","description":"多个参数间以,分割","title":"返回描述中占位符参数串"},"data":{"type":"array","items":{"$ref":"#/components/schemas/IndexSymbolCombinationVo"},"title":"数据体"},"fail":{"type":"boolean"},"ok":{"type":"boolean"}},"title":""},"IndexSymbolCombinationVo":{"type":"object","properties":{"asset":{"type":"string","title":"产品基础货币"},"range":{"type":"integer","format":"int32","title":"排名"},"weight":{"type":"string","title":"权重"},"previousPeriodRangeCompare":{"type":"string","title":"较上期排名变化"},"previousPeriodWeightCompare":{"type":"string","title":"较上期权重变化"}},"title":""}}}}
````

## 指数单资产表现柱状图数据

> 说明：指数单资产表现柱状图数据\
> \`\`\`\
> version=0.0.1\
> bizType=report.app.ReportDatadDubboService.assetPerformance\
> \`\`\`

````json
{"openapi":"3.0.1","info":{"title":"默认模块","version":"1.0.0"},"tags":[{"name":"基金接口/报表接口"}],"servers":[{"url":"https://prewppc-3.cmfbl.com/api","description":"PRE测试公司439"}],"security":[],"paths":{"/global/report.app.ReportDatadDubboService.indexSimplePerformance":{"post":{"summary":"指数单资产表现柱状图数据","deprecated":false,"description":"说明：指数单资产表现柱状图数据\n```\nversion=0.0.1\nbizType=report.app.ReportDatadDubboService.assetPerformance\n```","operationId":"indexSimplePerformance","tags":["基金接口/报表接口"],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IndexChartDto","required":["indexId"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResultListIndexSingleAssetPerformanceVo"}}},"headers":{}}}}}},"components":{"schemas":{"IndexChartDto":{"type":"object","properties":{"indexId":{"type":"integer","format":"int64","title":"指数id"}},"required":["indexId"],"title":""},"BaseResultListIndexSingleAssetPerformanceVo":{"type":"object","properties":{"bizCode":{"type":"string","title":"模块标识码"},"code":{"type":"string","title":"状态返回码"},"msg":{"type":"string","title":"状态描述"},"tm":{"type":"integer","format":"int64","title":"处理时长","description":"单位:毫秒"},"trace":{"type":"string","title":"跟踪码"},"msgParams":{"type":"string","description":"多个参数间以,分割","title":"返回描述中占位符参数串"},"data":{"type":"array","items":{"$ref":"#/components/schemas/IndexSingleAssetPerformanceVo"},"title":"数据体"},"fail":{"type":"boolean"},"ok":{"type":"boolean"}},"title":""},"IndexSingleAssetPerformanceVo":{"type":"object","properties":{"xaxisName":{"type":"string","title":"x轴名称"},"quoteChange":{"type":"string","title":"涨跌幅"}},"title":""}}}}
````

## 基金单资产表现柱状图数据

> 说明：基金单资产表现柱状图数据\
> \`\`\`\
> version=0.0.1\
> bizType=report.app.ReportDatadDubboService.assetPerformance\
> \`\`\`

````json
{"openapi":"3.0.1","info":{"title":"默认模块","version":"1.0.0"},"tags":[{"name":"基金接口/报表接口"}],"servers":[{"url":"https://prewppc-3.cmfbl.com/api","description":"PRE测试公司439"}],"security":[],"paths":{"/global/report.app.ReportDatadDubboService.assetPerformance":{"post":{"summary":"基金单资产表现柱状图数据","deprecated":false,"description":"说明：基金单资产表现柱状图数据\n```\nversion=0.0.1\nbizType=report.app.ReportDatadDubboService.assetPerformance\n```","operationId":"assetPerformance","tags":["基金接口/报表接口"],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SingeAssetPerformanceChartVo"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResultListSingleAssetPerformanceDto"}}},"headers":{}}}}}},"components":{"schemas":{"SingeAssetPerformanceChartVo":{"type":"object","properties":{"symbolId":{"type":"integer","format":"int64","title":"产品id","description":"和fundId任选其一"},"fundId":{"type":"integer","format":"int64","title":"基金id","description":"和symbolId任选其一"},"statisticType":{"type":"integer","description":"1:日 2:周 3:月","title":"统计类型"}},"required":["statisticType"],"title":""},"BaseResultListSingleAssetPerformanceDto":{"type":"object","properties":{"bizCode":{"type":"string","description":"模块标识码"},"code":{"type":"string","description":"状态返回码"},"msg":{"type":"string","description":"状态描述"},"tm":{"type":"integer","format":"int64","description":"处理时长（毫秒）"},"trace":{"type":"string","description":"跟踪码"},"msgParams":{"type":"string","description":"返回描述中占位符参数串，多个参数间以,分割"},"data":{"type":"array","description":"数据体","items":{"$ref":"#/components/schemas/SingleAssetPerformanceDto"}},"fail":{"type":"boolean"},"ok":{"type":"boolean"}},"title":""},"SingleAssetPerformanceDto":{"type":"object","properties":{"type":{"type":"integer","format":"int32"},"quoteChange":{"type":"string"},"xaxisName":{"type":"string"}},"title":""}}}}
````

## 基金批量获取市场表现走势图

> 说明：批量获取市场表现走势图\
> \`\`\`\
> version=0.0.1\
> bizType=report.app.ReportDatadDubboService.batchMarketPerformance\
> \`\`\`

````json
{"openapi":"3.0.1","info":{"title":"默认模块","version":"1.0.0"},"tags":[{"name":"基金接口/报表接口"}],"servers":[{"url":"https://prewppc-3.cmfbl.com/api","description":"PRE测试公司439"}],"security":[],"paths":{"/global/report.app.ReportDatadDubboService.batchMarketPerformance":{"post":{"summary":"基金批量获取市场表现走势图","deprecated":false,"description":"说明：批量获取市场表现走势图\n```\nversion=0.0.1\nbizType=report.app.ReportDatadDubboService.batchMarketPerformance\n```","operationId":"batchMarketPerformance","tags":["基金接口/报表接口"],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FundBatchMarketPerfChartVo"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResultMapLongListFundTrendChartTypeDto"}}},"headers":{}}}}}},"components":{"schemas":{"FundBatchMarketPerfChartVo":{"type":"object","properties":{"symbolId":{"type":"integer","format":"int64","title":"基金id","description":"和symbolId任选其一"},"fundId":{"type":"integer","format":"int64","description":"和fundId任选其一","title":"产品id"},"days":{"type":"integer","title":"天数"},"type":{"type":"integer","title":"类型","description":" 1-按天统计 2-按小时统计"}},"required":["days","type"],"title":""},"BaseResultMapLongListFundTrendChartTypeDto":{"type":"object","properties":{"bizCode":{"type":"string","description":"模块标识码"},"code":{"type":"string","description":"状态返回码"},"msg":{"type":"string","description":"状态描述"},"tm":{"type":"integer","format":"int64","description":"处理时长（毫秒）"},"trace":{"type":"string","description":"跟踪码"},"msgParams":{"type":"string","description":"返回描述中占位符参数串，多个参数间以,分割"},"data":{"type":"object","description":"数据体","additionalProperties":{"type":"array","items":{"type":"object","properties":{}}},"properties":{"key":{"type":"integer"},"value":{"type":"array","items":{"$ref":"#/components/schemas/FundTrendChartTypeDto"}}},"required":["key","value"]},"fail":{"type":"boolean"},"ok":{"type":"boolean"}},"title":""},"FundTrendChartTypeDto":{"type":"object","properties":{"name":{"type":"string","title":"名称"},"type":{"type":"integer","title":"类型","description":"1:市场价 2:净值"},"columnList":{"type":"array","items":{"$ref":"#/components/schemas/FundTrendChartDto"}}},"required":["name","columnList"]},"FundTrendChartDto":{"type":"object","properties":{"time":{"type":"string","title":"日期"},"value":{"type":"string","title":"y坐标值"}},"required":["time","value"]}}}}
````

## 基金净值涨跌比

> 说明：基金净值涨跌比\
> \`\`\`\
> version=0.0.1\
> bizType=report.app.ReportDatadDubboService.fundNetValueChangeQuote\
> \`\`\`

````json
{"openapi":"3.0.1","info":{"title":"默认模块","version":"1.0.0"},"tags":[{"name":"基金接口/报表接口"}],"servers":[{"url":"https://prewppc-3.cmfbl.com/api","description":"PRE测试公司439"}],"security":[],"paths":{"/global/report.app.ReportDatadDubboService.fundNetValueChangeQuote":{"post":{"summary":"基金净值涨跌比","deprecated":false,"description":"说明：基金净值涨跌比\n```\nversion=0.0.1\nbizType=report.app.ReportDatadDubboService.fundNetValueChangeQuote\n```","operationId":"fundNetValueChangeQuote","tags":["基金接口/报表接口"],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FundNetValueChangeQuoteChartVo"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResultFundNetValueCompareDto"}}},"headers":{}}}}}},"components":{"schemas":{"FundNetValueChangeQuoteChartVo":{"type":"object","properties":{"symbolId":{"type":"integer","format":"int64","title":"产品id","description":"和fundId任选其一"},"fundId":{"type":"integer","format":"int64","title":"基金id","description":"和symbolId任选其一"}},"title":""},"BaseResultFundNetValueCompareDto":{"type":"object","properties":{"bizCode":{"type":"string","description":"模块标识码"},"code":{"type":"string","description":"状态返回码"},"msg":{"type":"string","description":"状态描述"},"tm":{"type":"integer","format":"int64","description":"处理时长（毫秒）"},"trace":{"type":"string","description":"跟踪码"},"msgParams":{"type":"string","description":"返回描述中占位符参数串，多个参数间以,分割"},"data":{"$ref":"#/components/schemas/FundNetValueCompareDto"},"fail":{"type":"boolean"},"ok":{"type":"boolean"}},"title":""},"FundNetValueCompareDto":{"type":"object","properties":{"netValue":{"type":"string"},"marketPrice":{"type":"string"},"netValueChangeQuote":{"type":"string"},"marketPriceChangeQuote":{"type":"string"},"totalBalance":{"type":"string"},"currency":{"type":"string"},"latestShare":{"type":"string"}},"title":""}}}}
````

## 基金实时投资组合排名

> 说明：实时投资组合排名\
> \`\`\`\
> version=0.0.1\
> bizType=report.app.ReportDatadDubboService.investCombination\
> \`\`\`

````json
{"openapi":"3.0.1","info":{"title":"默认模块","version":"1.0.0"},"tags":[{"name":"基金接口/报表接口"}],"servers":[{"url":"https://prewppc-3.cmfbl.com/api","description":"PRE测试公司439"}],"security":[],"paths":{"/global/report.app.ReportDatadDubboService.investCombination":{"post":{"summary":"基金实时投资组合排名","deprecated":false,"description":"说明：实时投资组合排名\n```\nversion=0.0.1\nbizType=report.app.ReportDatadDubboService.investCombination\n```","operationId":"investCombination","tags":["基金接口/报表接口"],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FundInvestCombChartVo"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResultListRealTimeInvestCombinationDto"}}},"headers":{}}}}}},"components":{"schemas":{"FundInvestCombChartVo":{"type":"object","properties":{"symbolId":{"type":"integer","format":"int64","title":"产品id","description":"和fundId任选其一"},"fundId":{"type":"integer","format":"int64","title":"基金id","description":"和symbolId任选其一"}},"title":""},"BaseResultListRealTimeInvestCombinationDto":{"type":"object","properties":{"bizCode":{"type":"string","title":"模块标识码"},"code":{"type":"string","title":"状态返回码"},"msg":{"type":"string","title":"状态描述"},"tm":{"type":"integer","format":"int64","description":"单位:毫秒","title":"处理时长"},"trace":{"type":"string","title":"跟踪码"},"msgParams":{"type":"string","description":"多个参数间以,分割","title":"返回描述中占位符参数串"},"data":{"type":"array","items":{"$ref":"#/components/schemas/RealTimeInvestCombinationDto"},"title":"数据体"},"fail":{"type":"boolean"},"ok":{"type":"boolean"}},"title":""},"RealTimeInvestCombinationDto":{"type":"object","properties":{"asset":{"type":"string","title":"资产"},"range":{"type":"string","title":"排名"},"weight":{"type":"string","title":"权重"},"weightRealValue":{"type":"string","title":"权重真实值"},"previousPeriodRangeCompare":{"type":"string","title":"较上期排名变化"},"previousPeriodWeightCompare":{"type":"string","title":"较上期权重变化"}},"title":""}}}}
````

## 基金市场表现走势图

> 说明：基金市场表现走势图\
> \`\`\`\
> version=0.0.1\
> bizType=report.app.ReportDatadDubboService.marketPerformance\
> \`\`\`

````json
{"openapi":"3.0.1","info":{"title":"默认模块","version":"1.0.0"},"tags":[{"name":"基金接口/报表接口"}],"servers":[{"url":"https://prewppc-3.cmfbl.com/api","description":"PRE测试公司439"}],"security":[],"paths":{"/global/report.app.ReportDatadDubboService.marketPerformance":{"post":{"summary":"基金市场表现走势图","deprecated":false,"description":"说明：基金市场表现走势图\n```\nversion=0.0.1\nbizType=report.app.ReportDatadDubboService.marketPerformance\n```","operationId":"marketPerformance","tags":["基金接口/报表接口"],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FundMarketPerfChartVo"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResultMapStringListFundTrendChartDto"}}},"headers":{}}}}}},"components":{"schemas":{"FundMarketPerfChartVo":{"type":"object","properties":{"symbolId":{"type":"integer","format":"int64","title":"产品id","description":"和fundId任选其一"},"fundId":{"type":"integer","format":"int64","title":"基金id","description":"和symbolId任选其一"},"days":{"type":"integer","title":"天数"},"type":{"type":"integer","title":"类型","description":" 1-按天统计 2-按小时统计"}},"required":["days","type"],"title":""},"BaseResultMapStringListFundTrendChartDto":{"type":"object","properties":{"bizCode":{"type":"string","title":"模块标识码"},"code":{"type":"string","title":"状态返回码"},"msg":{"type":"string","title":"状态描述"},"tm":{"type":"integer","format":"int64","description":"单位:毫秒","title":"处理时长"},"trace":{"type":"string","title":"跟踪码"},"msgParams":{"type":"string","description":"多个参数间以,分割","title":"返回描述中占位符参数串"},"data":{"type":"object","properties":{"key":{"type":"string"},"value":{"type":"array","items":{"$ref":"#/components/schemas/FundTrendChartDto"}}},"title":"数据体","required":["key","value"]},"fail":{"type":"boolean"},"ok":{"type":"boolean"}},"title":""},"FundTrendChartDto":{"type":"object","properties":{"time":{"type":"string","title":"日期"},"value":{"type":"string","title":"y坐标值"}},"required":["time","value"]}}}}
````

## 基金市场表现涨跌幅走势图

> 说明：市场表现涨跌幅走势图\
> \`\`\`\
> version=0.0.1\
> bizType=report.app.ReportDatadDubboService.marketPerformanceQuoteChange\
> \`\`\`

````json
{"openapi":"3.0.1","info":{"title":"默认模块","version":"1.0.0"},"tags":[{"name":"基金接口/报表接口"}],"servers":[{"url":"https://prewppc-3.cmfbl.com/api","description":"PRE测试公司439"}],"security":[],"paths":{"/global/report.app.ReportDatadDubboService.marketPerformanceQuoteChange":{"post":{"summary":"基金市场表现涨跌幅走势图","deprecated":false,"description":"说明：市场表现涨跌幅走势图\n```\nversion=0.0.1\nbizType=report.app.ReportDatadDubboService.marketPerformanceQuoteChange\n```","operationId":"marketPerformanceQuoteChange","tags":["基金接口/报表接口"],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FundMarketPerfQuoteChangeChartVo"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResultMapStringListFundTrendChartDto"}}},"headers":{}}}}}},"components":{"schemas":{"FundMarketPerfQuoteChangeChartVo":{"type":"object","properties":{"symbolId":{"type":"integer","format":"int64","title":"基金id","description":"和symbolId任选其一"},"fundId":{"type":"integer","format":"int64","description":"和fundId任选其一","title":"产品id"},"days":{"type":"integer","title":"天数"},"type":{"type":"integer","title":"类型","description":" 1-按天统计 2-按小时统计"}},"required":["days","type"],"title":""},"BaseResultMapStringListFundTrendChartDto":{"type":"object","properties":{"bizCode":{"type":"string","title":"模块标识码"},"code":{"type":"string","title":"状态返回码"},"msg":{"type":"string","title":"状态描述"},"tm":{"type":"integer","format":"int64","description":"单位:毫秒","title":"处理时长"},"trace":{"type":"string","title":"跟踪码"},"msgParams":{"type":"string","description":"多个参数间以,分割","title":"返回描述中占位符参数串"},"data":{"type":"object","properties":{"key":{"type":"string"},"value":{"type":"array","items":{"$ref":"#/components/schemas/FundTrendChartDto"}}},"title":"数据体","required":["key","value"]},"fail":{"type":"boolean"},"ok":{"type":"boolean"}},"title":""},"FundTrendChartDto":{"type":"object","properties":{"time":{"type":"string","title":"日期"},"value":{"type":"string","title":"y坐标值"}},"required":["time","value"]}}}}
````


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-cn.multimarkets.org/client-api/geng-duo-.../ji-jin-jie-kou-bao-biao-jie-kou.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
